mini18n(3)

NAME
mini18n - translates strings

SYNOPSIS
#include <mini18n.h>

const char * mini18n(const char * source);

const char * mini18n_with_conversion(const char * source, unsigned int format);

DESCRIPTION
mini18n() searches for source in the currently loaded translation and returns the translated value if it's found. In this case, the returned string points to a mini18n internal buffer and thus should not be free()'d or modified in any way. If source is not found or no translation is loaded, the source string is returned.

mini18n_with_conversion() do the same as mini18n() but also converts the returned to the specified format. Another difference is that the returned string is always converted to the format. For now the only possible value of format is MINI18N_UTF16 and is only implemented for the Windows operating system.

RETURN VALUE
The translated string if successul and the source string otherwise.